Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
RepProcMsgResult..::.ProcMsgResult Enumeration
RepProcMsgResult Class See Also Send Feedback

The result of processing an incoming replication message.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public enum ProcMsgResult

Visual Basic (Declaration)
    Public Enumeration ProcMsgResult

Visual C++
    public enum class ProcMsgResult

# Members

| Member name | Description
--- | --- | ---
| DUPLICATE_MASTER | The replication group has more than one master.
| ERROR | An unspecified error occurred.
| HOLD_ELECTION | An election is needed.
| IGNORED | A message cannot be processed.
| IS_PERMANENT | Processing a message resulted in the processing of records that are permanent.
| JOIN_FAILURE | A new master has been chosen but the client is unable to synchronize with the new master.
| NEW_SITE | The system received contact information from a new environment.
| NOT_PERMANENT | A message carrying a DB_REP_PERMANENT flag was processed successfully, but was not written to disk.
| SUCCESS | Processing a message succeded.

# See Also

BerkeleyDB Namespace